Referensi API
Toko
Toko marketplace yang terhubung ke tenant.
List stores
GET
/v1/storesStores of the current tenant.
Scope:API key apa pun
Query parameter
statusStoreStatusopsionalSalah satu dari:
activesuspendedarchived
Response200 · application/json
Stores
itemsarray<Store>wajibTampilkan 8 atribut turunan
idstringwajibformat: uuid
namestringwajibmarketplacestringwajibSalah satu dari:
tiktokshopeelazadatokopediaexternalShopIdstringwajibnullablestatusstringwajibSalah satu dari:
activesuspendedarchivedtimezonestringwajibcreatedAtstringwajibformat: date-time
updatedAtstringwajibformat: date-time
Contoh request · curl
curl "https://api.comnethub.app/v1/stores" \
-H "Authorization: Bearer $THECOMNET_API_KEY"Get store
GET
/v1/stores/{storeId}Store detail.
Scope:API key apa pun
Path parameter
storeIdstringwajibformat: uuid
Response200 · application/json
Store
idstringwajibformat: uuid
namestringwajibmarketplacestringwajibSalah satu dari:
tiktokshopeelazadatokopediaexternalShopIdstringwajibnullablestatusstringwajibSalah satu dari:
activesuspendedarchivedtimezonestringwajibcreatedAtstringwajibformat: date-time
updatedAtstringwajibformat: date-time
Contoh request · curl
curl "https://api.comnethub.app/v1/stores/$STORE_ID" \
-H "Authorization: Bearer $THECOMNET_API_KEY"